<?php

namespace Pmg\Includes;

class Backend
{

	private $filter;

	public function __construct() {

		$this->check_for_updates();
		$this->startActivation();
		$this->filter = new Filter();
		$this->filter->add_action( 'admin_menu', $this, 'loadAdminPage' );
		$this->filter->run();
	}

	public function check_for_updates()
	{
		// only load file if it has not been loaded
		if (is_admin()) {
			if( !class_exists( '\Puc_v4_Factory' ) ) {
				require PMGDIR . 'vendor/yahnis-elsts/plugin-update-checker/plugin-update-checker.php';
			}
			$map_geo_update_checker = \Puc_v4_Factory::buildUpdateChecker(
				'https://plugins.puddinq.com/updates/?action=get_metadata&slug=puddinq-map-geo',
				PMGFILE
			);
		}

	}

	public function startActivation() {
		register_activation_hook(PMGFILE, array('Pmg\Includes\DeActivate', 'activate'));
		register_deactivation_hook(PMGFILE, array('Pmg\Includes\DeActivate', 'deactivate'));
	}

	public function loadAdminPage() {

		$admin_page = new AdminPage;

	}
}